%fprintf(1,'---- polynomial: ');
%p = polynomial([1 -3 2]);
%assert(isobject(p))
%assert(isa(p,'polynomial'))
%assert(ismethod(p,'subsref'))
%fprintf(1,'Passed  ----\n')

fprintf(1,'---- Snork: ')
snk = Snork();
assert(gick(snk),1)
snk = gick(snk,2);
assert(gick(snk),2)
snk = set(snk,'gick',4);
assert(get(snk, 'gick'), 4)
assert(getStash(snk),1)             % Checks private functions.
assert(class(snk),'Snork')
assert(isa(snk,'Snork'))
assert(~isa(snk,'Sneetch'))
assert(exist('snk'))
assert(~exist('blink'))
snk1 = Snork(snk);
assert(class(snk1),'Snork')
assert(gick(snk1),4)
snk2 = Snork(-3);
assert(class(snk2),'Snork')
assert(gick(snk2),-3)
fprintf(1,'Passed  ----\n')

fprintf(1,'---- Spork: ')
sprk = Spork();
assert(geek(sprk),1)
sprk = geek(sprk,3);
assert(geek(sprk),3)
sprk = set(sprk,'geek',7);
assert(get(sprk, 'geek'), 7)
assert(class(sprk),'Spork');
assert(isa(sprk,'Spork'))
fprintf(1,'Passed  ----\n')

fprintf(1,'---- Blork: ')
blrk     = Blork();
assert(bleek(blrk),1)
blrk     = bleek(blrk,3);
assert(bleek(blrk),3)
blrk = set(blrk,'bleek',13);
assert(get(blrk, 'bleek'), 13)
assert(class(blrk),'Blork');
assert(isa(blrk,'Blork'))
fprintf(1,'Passed  ----\n')

fprintf(1,'---- Dork:  ')
drk = Dork();
assert(gack(drk),0)
drk = gack(drk,-2);
assert(gack(drk),-2)
drk = gick(drk,2);
assert(gick(drk),2);
drk = set(drk, 'gick',3, 'gack',-3);
assert(get(drk, 'gick'), 3)
assert(get(drk, 'gack'), -3)
assert(class(drk),'Dork')
assert(isa(drk,'Dork'))
assert(isa(drk,'Snork'))
assert(getStash(drk),2)
drk1 = Dork(drk);
assert(class(drk1),'Dork')
assert(isa(drk1,'Snork'))
assert(gick(drk1),3)
assert(gack(drk1),-3)
drk2 = Dork(-4,4);
assert(class(drk2),'Dork')
assert(isa(drk2,'Snork'))
assert(gick(drk2),-4)
assert(gack(drk2),4)
fprintf(1,'Passed  ----\n')

fprintf(1,'---- Pork:  ')
prk = Pork();
assert(geek(prk),1)
assert(gurk(prk),0)
prk = gurk(prk,-3);
assert(gurk(prk),-3)
prk = geek(prk,9);
assert(geek(prk),9)
assert(class(prk),'Pork')
assert(isa(prk,'Pork'))
assert(isa(prk,'Spork'))
fprintf(1,'Passed  ----\n')

fprintf(1,'---- Gork:  ')
grk = Gork();
assert(gick(grk),1)
assert(geek(grk),1)
assert(gack(grk),0)
assert(gurk(grk),0)
assert(bleek(grk),1)
assert(gark(grk),-2)
assert(gick(snrk(grk)),1)
assert(class(snrk(grk)),'Snork')
grk = gick(grk,3);
grk = geek(grk,4);
grk = gack(grk,-9);
grk = gurk(grk,-8);
grk = bleek(grk,-7);
grk = gark(grk,-6);
grk = snrk(grk,gick(snrk(grk),17));
assert(gick(grk),3)
assert(geek(grk),4)
assert(gack(grk),-9)
assert(gurk(grk),-8)
assert(bleek(grk),-7)
assert(gark(grk),-6)
assert(gick(snrk(grk)),17)
snrk1 = Snork(13);
grk = set(grk, 'gick',-5, 'gack',-6, 'gark',-7, 'snork',snrk1);
assert(get(grk,'gick'),-5)
assert(get(grk,'gack'),-6)
assert(get(grk,'gark'),-7)
assert(gick(get(grk, 'snork')),13);
grk = set(grk, 'snork',12);
assert(gick(get(grk, 'snork')),12);
assert(class(snrk(grk)),'Snork')
assert(class(grk),'Gork')
assert(isa(grk,'Gork'))
assert(isa(grk,'Dork'))
assert(isa(grk,'Pork'))
assert(isa(grk,'Blork'))
assert(isa(grk,'Snork'))
assert(isa(grk,'Spork'))
fprintf(1,'Passed  ----\n')
